---
title: 'Reason: Multiple CORS header ''Access-Control-Allow-Origin'' not allowed'
slug: Web/HTTP/CORS/Errors/CORSMultipleAllowOriginNotAllowed
tags:
  - CORS
  - CORSMultipleAllowOriginNotAllowed
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: Multiple CORS header ‘Access-Control-Allow-Origin’ not allowed</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>More than one {{HTTPHeader("Access-Control-Allow-Origin")}} header was sent by the server. This isn't allowed.</p>

<p>If you have access to the server you can change your implementation to echo back an origin in the <code>Access-Control-Allow-Origin</code> header. You cannot send back a list of origins, because browsers only accept a value that is either a single origin or null </p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
 <li><a href="https://enable-cors.org/server.html">Enable CORS: I want to add CORS support to my server</a></li>
</ul>
